---
search:
  tags:
    - Product Lists V2
    - DELETE
seo:
  description: >-
    Bulk-removes products from static product… Reference for the DELETE
    /api/v2/{team_slug}/{app_slug}/product-lists/products endpoint in the
    Management API v2.
sidebar:
  label: Remove product list products
  badge: DELETE
title: Remove product list products
type: openapi-operation
---
Bulk-removes products from static product lists. Products can only be changed on static lists; pairs not in the list are returned in data without error.

`DELETE /api/v2/{team_slug}/{app_slug}/product-lists/products`

**Request body** (`application/json`, required)

- `products` (ProductListProduct[], required)

Request body example:

```json
{
  "products": [
    {
      "product_list_id": "0f6ee94d-19db-428e-bfbb-16abab301909",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1"
    }
  ]
}
```

**Responses**

- `200` — OK (partial success possible)
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "product_list_id": "0f6ee94d-19db-428e-bfbb-16abab301909",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1"
    }
  ],
  "errors": [
    {
      "product_list_id": "0f6ee94d-19db-428e-bfbb-16abab301909",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "message": "string"
    }
  ]
}
```
